using BankContracts.BindingModels;
using BankContracts.SearchModels;
using BankContracts.ViewModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.InteropServices;
using System.Text;
using System.Threading.Tasks;

namespace BankContracts.BusinessLogicsContracts
{
    public interface ICurrencyLogic
    {
        List<CurrencyViewModel>? ReadList(CurrencySearchModel? model);
        CurrencyViewModel? ReadElement(CurrencySearchModel model);
        bool Create(CurrencyBindingModel model);
        bool Update(CurrencyBindingModel model);
        bool Delete(CurrencyBindingModel model);
    }
}
